Bug 1295009 - Review Request: erlang-p1_zlib - Native zlib driver for Erlang
Review Request: erlang-p1_zlib - Native zlib driver for Erlang
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Cline
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1204119
  Show dependency treegraph
 
Reported: 2015-12-31 13:50 EST by Randy Barlow
Modified: 2016-02-07 16:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 16:02:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeremy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2015-12-31 13:50:58 EST
Spec URL: https://rbarlow.fedorapeople.org/erlang-p1_zlib.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-p1_zlib-0-1.20150223gite3d4222b.fc24.src.rpm
Description: A native zlib driver for Erlang, used by ejabberd.
Fedora Account System Username: rbarlow

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=12360294

There are a few rpmlint warnings. I'll respond to them inline here:

erlang-p1_zlib.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_zlib-0/priv/lib/ezlib_drv.so

It seems to be Fedora Erlang packaging convention to leave the debug symbols in Erlang packages:

https://fedoraproject.org/wiki/User:Peter/Erlang_Packaging_Guidelines

erlang-p1_zlib.x86_64: W: no-soname /usr/lib64/erlang/lib/p1_zlib-0/priv/lib/ezlib_drv.so

This seems to be a result of how Rebar builds these libraries. I think we can ignore it.

erlang-p1_zlib.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_zlib-0/priv/lib/ezlib_drv.so set_port_control_flags
erlang-p1_zlib.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_zlib-0/priv/lib/ezlib_drv.so driver_freeerlang-p1_zlib.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_zlib-0/priv/lib/ezlib_drv.so driver_alloc_binary
erlang-p1_zlib.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_zlib-0/priv/lib/ezlib_drv.so driver_alloc
erlang-p1_zlib.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/p1_zlib-0/priv/lib/ezlib_drv.so driver_realloc_binary

All of these happen to other Erlang packages in Fedora as well. It seems that Erlang's runtime causes the correct linking to happen. For example, I also see this on erlang-crypto's shared objects, as well as erlang-jiffy's. I think we can safely ignore these warnings. The package review for erlang-jiffy did not even mention this warning:

https://bugzilla.redhat.com/show_bug.cgi?id=1074982

erlang-p1_zlib.x86_64: W: no-documentation

The upstream package does not have documentation.

1 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 1 Randy Barlow 2015-12-31 13:52:16 EST
I submitted a pull request upstream with the patch I created for this package:

https://github.com/processone/zlib/pull/7
Comment 2 Upstream Release Monitoring 2016-01-06 19:57:18 EST
rbarlow's scratch build of erlang-p1_zlib-0-1.20150223gite3d4222b.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12441445
Comment 3 Upstream Release Monitoring 2016-01-06 21:07:31 EST
rbarlow's scratch build of erlang-p1_zlib-0-1.20150223gite3d4222b.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12441841
Comment 4 Upstream Release Monitoring 2016-01-06 21:15:30 EST
rbarlow's scratch build of erlang-p1_zlib-0-1.20150223gite3d4222b.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12441866
Comment 5 Jeremy Cline 2016-02-06 10:40:08 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/jcline/devel/fedora-review/1295009-erlang-
     p1_zlib/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: erlang-p1_zlib-0-1.20150223gite3d4222b.fc24.x86_64.rpm
          erlang-p1_zlib-0-1.20150223gite3d4222b.fc24.src.rpm
erlang-p1_zlib.x86_64: W: spelling-error Summary(en_US) zlib -> lib, glib, z lib
erlang-p1_zlib.x86_64: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
erlang-p1_zlib.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_zlib.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_zlib-0/priv/lib
erlang-p1_zlib.x86_64: W: no-documentation
erlang-p1_zlib.src: W: spelling-error Summary(en_US) zlib -> lib, glib, z lib
erlang-p1_zlib.src: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
erlang-p1_zlib.src: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
erlang-p1_zlib.x86_64: W: spelling-error Summary(en_US) zlib -> lib, glib, z lib
erlang-p1_zlib.x86_64: W: spelling-error %description -l en_US zlib -> lib, glib, z lib
erlang-p1_zlib.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_zlib.x86_64: W: invalid-url URL: https://github.com/processone/zlib/ <urlopen error [Errno -3] Temporary failure in name resolution>
erlang-p1_zlib.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_zlib-0/priv/lib
erlang-p1_zlib.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
erlang-p1_zlib (rpmlib, GLIBC filtered):
    erlang-erts
    libc.so.6()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
erlang-p1_zlib:
    erlang-p1_zlib
    erlang-p1_zlib(x86-64)



Source checksums
----------------
https://github.com/processone/zlib/archive/e3d4222b7aae616d7ef2e7e2fa0bbf451516c602.tar.gz :
  CHECKSUM(SHA256) this package     : ee2d6e4a310ba2f0af6355cfd75119d519c5f955d215f19fdb0a8c71cd34fc08
  CHECKSUM(SHA256) upstream package : ee2d6e4a310ba2f0af6355cfd75119d519c5f955d215f19fdb0a8c71cd34fc08


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1295009
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Gwyn Ciesla 2016-02-07 13:34:30 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/erlang-p1_zlib

Note You need to log in before you can comment on or make changes to this bug.